Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.logging
Class RootLog4jConfig

    java.lang.Object
      org.codehaus.groovy.grails.plugins.logging.RootLog4jConfig

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class RootLog4jConfig

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`RootLog4jConfig(Object root, Object config)`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`Object` | `all()`
`Object` | `all(Object[] appenders)`
`Object` | `debug()`
`Object` | `debug(Object[] appenders)`
`Object` | `error()`
`Object` | `error(Object[] appenders)`
`Object` | `fatal()`
`Object` | `fatal(Object[] appenders)`
`Log4jConfig` | `getConfig()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`org.apache.log4j.Logger` | `getRoot()`
`Object` | `info()`
`Object` | `info(Object[] appenders)`
`Object` | `invokeMethod(String method, Object arguments)`
`Object` | `off()`
`Object` | `off(Object[] appenders)`
`void` | `setConfig(Log4jConfig value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProperty(String s, Object o)`
`void` | `setRoot(org.apache.log4j.Logger value)`
`Object` | `trace()`
`Object` | `trace(Object[] appenders)`
`Object` | `warn()`
`Object` | `warn(Object[] appenders)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootLog4jConfig

    public RootLog4jConfig(Object root,
                           Object config)

Method Detail

### getRoot

    public org.apache.log4j.Logger getRoot()

### setRoot

    public void setRoot(org.apache.log4j.Logger value)

### getConfig

    public Log4jConfig getConfig()

### setConfig

    public void setConfig(Log4jConfig value)

### debug

    public Object debug(Object[] appenders)

### info

    public Object info(Object[] appenders)

### warn

    public Object warn(Object[] appenders)

### trace

    public Object trace(Object[] appenders)

### all

    public Object all(Object[] appenders)

### error

    public Object error(Object[] appenders)

### fatal

    public Object fatal(Object[] appenders)

### off

    public Object off(Object[] appenders)

### setProperty

    public void setProperty(String s,
                            Object o)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

### debug

    public Object debug()

### info

    public Object info()

### warn

    public Object warn()

### trace

    public Object trace()

### all

    public Object all()

### error

    public Object error()

### fatal

    public Object fatal()

### off

    public Object off()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project